<bugID>280195<Summary>Text field (Folder field) in Custom Install option "Browse For Folder" does not show complete path</Summary><Description>User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.7.5) Gecko/20041107 Firefox/1.0
Build Identifier: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.7.5) Gecko/20041107 Firefox/1.0

The text field (Folder field) in Custom Install option "Browse For Folder" does
not show complete path. It simply show "Mozilla Firefox". Also the directory
browser above the text field shows the TEMP path where the installer is extracted.

Reproducible: Always



Expected Results:  
1. Instead of showing just the "Mozilla Firefox", it is better if the complete
path is shown. For example, "C:\Program Files\Mozilla Firefox". This makes
easier for the user to just change the install location by typing in text field.
For example if I want to install in "D:\Program Files\Mozilla Firefox", I can
just change the driver letter from C: to D:
2. The directory browser above the text field shows the TEMP path where the
installer is extracted. It becomes difficult to navigate to "Program Files" or
other locations from there. Instead it is better to show the path "C:\Program
Files\Mozilla Firefox". (Default).</Description></bugID>